com.genesyslab.wfm8.API.service.calendar851

## Class PossibleDayOffs

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.PossibleDayOffs

- All Implemented Interfaces:
    java.io.Serializable

      public class PossibleDayOffs
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `endDate` Period end date
    `protected java.util.List<PossibleDayOffsForDate>` | `possibleDayOffsForDateArray` Possible Day Offs for each date
    `protected int` | `possibleDayOffsForDateArrayNSizeIs` Possible Day Offs array size
    `private static long` | `serialVersionUID`
    `protected double` | `startDate` Period start date
    `protected double` | `stdFriDO` Number of Day Offs on Friday(s)
    `protected double` | `stdMonDO` Number of Day Offs on Monday(s)
    `protected double` | `stdSatDO` Number of Day Offs on Saturday(s)
    `protected double` | `stdSunDO` Number of Day Offs on Sunday(s)
    `protected double` | `stdThuDO` Number of Day Offs on Thursday(s)
    `protected double` | `stdTueDO` Number of Day Offs on Tuesday(s)
    `protected double` | `stdWedDO` Number of Day Offs on Wednesday(s)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PossibleDayOffs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getEndDate()` Gets the value of the endDate property.
    `java.util.List<PossibleDayOffsForDate>` | `getPossibleDayOffsForDateArray()` Gets the value of the possibleDayOffsForDateArray property.
    `int` | `getPossibleDayOffsForDateArrayNSizeIs()` Gets the value of the possibleDayOffsForDateArrayNSizeIs property.
    `double` | `getStartDate()` Gets the value of the startDate property.
    `double` | `getStdFriDO()` Gets the value of the stdFriDO property.
    `double` | `getStdMonDO()` Gets the value of the stdMonDO property.
    `double` | `getStdSatDO()` Gets the value of the stdSatDO property.
    `double` | `getStdSunDO()` Gets the value of the stdSunDO property.
    `double` | `getStdThuDO()` Gets the value of the stdThuDO property.
    `double` | `getStdTueDO()` Gets the value of the stdTueDO property.
    `double` | `getStdWedDO()` Gets the value of the stdWedDO property.
    `int` | `hashCode()`
    `void` | `setEndDate(double value)` Sets the value of the endDate property.
    `void` | `setPossibleDayOffsForDateArray(java.util.List<PossibleDayOffsForDate> value)` Sets the value of the possibleDayOffsForDateArray property.
    `void` | `setPossibleDayOffsForDateArrayNSizeIs(int value)` Sets the value of the possibleDayOffsForDateArrayNSizeIs property.
    `void` | `setStartDate(double value)` Sets the value of the startDate property.
    `void` | `setStdFriDO(double value)` Sets the value of the stdFriDO property.
    `void` | `setStdMonDO(double value)` Sets the value of the stdMonDO property.
    `void` | `setStdSatDO(double value)` Sets the value of the stdSatDO property.
    `void` | `setStdSunDO(double value)` Sets the value of the stdSunDO property.
    `void` | `setStdThuDO(double value)` Sets the value of the stdThuDO property.
    `void` | `setStdTueDO(double value)` Sets the value of the stdTueDO property.
    `void` | `setStdWedDO(double value)` Sets the value of the stdWedDO property.
    `java.lang.String` | `toString()`
    `PossibleDayOffs` | `withEndDate(double value)`
    `PossibleDayOffs` | `withPossibleDayOffsForDateArray(java.util.Collection<PossibleDayOffsForDate> values)`
    `PossibleDayOffs` | `withPossibleDayOffsForDateArray(PossibleDayOffsForDate... values)`
    `PossibleDayOffs` | `withPossibleDayOffsForDateArrayNSizeIs(int value)`
    `PossibleDayOffs` | `withStartDate(double value)`
    `PossibleDayOffs` | `withStdFriDO(double value)`
    `PossibleDayOffs` | `withStdMonDO(double value)`
    `PossibleDayOffs` | `withStdSatDO(double value)`
    `PossibleDayOffs` | `withStdSunDO(double value)`
    `PossibleDayOffs` | `withStdThuDO(double value)`
    `PossibleDayOffs` | `withStdTueDO(double value)`
    `PossibleDayOffs` | `withStdWedDO(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### startDate

          protected double startDate

      Period start date

    - #### endDate

          protected double endDate

      Period end date

    - #### stdMonDO

          protected double stdMonDO

      Number of Day Offs on Monday(s)

    - #### stdTueDO

          protected double stdTueDO

      Number of Day Offs on Tuesday(s)

    - #### stdWedDO

          protected double stdWedDO

      Number of Day Offs on Wednesday(s)

    - #### stdThuDO

          protected double stdThuDO

      Number of Day Offs on Thursday(s)

    - #### stdFriDO

          protected double stdFriDO

      Number of Day Offs on Friday(s)

    - #### stdSatDO

          protected double stdSatDO

      Number of Day Offs on Saturday(s)

    - #### stdSunDO

          protected double stdSunDO

      Number of Day Offs on Sunday(s)

    - #### possibleDayOffsForDateArrayNSizeIs

          protected int possibleDayOffsForDateArrayNSizeIs

      Possible Day Offs array size

    - #### possibleDayOffsForDateArray

          protected java.util.List<PossibleDayOffsForDate> possibleDayOffsForDateArray

      Possible Day Offs for each date

  - ### Constructor Detail

    - #### PossibleDayOffs

          public PossibleDayOffs()

  - ### Method Detail

    - #### getStartDate

          public double getStartDate()

      Gets the value of the startDate property.

    - #### setStartDate

          public void setStartDate(double value)

      Sets the value of the startDate property.

    - #### getEndDate

          public double getEndDate()

      Gets the value of the endDate property.

    - #### setEndDate

          public void setEndDate(double value)

      Sets the value of the endDate property.

    - #### getStdMonDO

          public double getStdMonDO()

      Gets the value of the stdMonDO property.

    - #### setStdMonDO

          public void setStdMonDO(double value)

      Sets the value of the stdMonDO property.

    - #### getStdTueDO

          public double getStdTueDO()

      Gets the value of the stdTueDO property.

    - #### setStdTueDO

          public void setStdTueDO(double value)

      Sets the value of the stdTueDO property.

    - #### getStdWedDO

          public double getStdWedDO()

      Gets the value of the stdWedDO property.

    - #### setStdWedDO

          public void setStdWedDO(double value)

      Sets the value of the stdWedDO property.

    - #### getStdThuDO

          public double getStdThuDO()

      Gets the value of the stdThuDO property.

    - #### setStdThuDO

          public void setStdThuDO(double value)

      Sets the value of the stdThuDO property.

    - #### getStdFriDO

          public double getStdFriDO()

      Gets the value of the stdFriDO property.

    - #### setStdFriDO

          public void setStdFriDO(double value)

      Sets the value of the stdFriDO property.

    - #### getStdSatDO

          public double getStdSatDO()

      Gets the value of the stdSatDO property.

    - #### setStdSatDO

          public void setStdSatDO(double value)

      Sets the value of the stdSatDO property.

    - #### getStdSunDO

          public double getStdSunDO()

      Gets the value of the stdSunDO property.

    - #### setStdSunDO

          public void setStdSunDO(double value)

      Sets the value of the stdSunDO property.

    - #### getPossibleDayOffsForDateArrayNSizeIs

          public int getPossibleDayOffsForDateArrayNSizeIs()

      Gets the value of the possibleDayOffsForDateArrayNSizeIs property.

    - #### setPossibleDayOffsForDateArrayNSizeIs

          public void setPossibleDayOffsForDateArrayNSizeIs(int value)

      Sets the value of the possibleDayOffsForDateArrayNSizeIs property.

    - #### getPossibleDayOffsForDateArray

          public java.util.List<PossibleDayOffsForDate> getPossibleDayOffsForDateArray()

      Gets the value of the possibleDayOffsForDateArray property.

    - #### setPossibleDayOffsForDateArray

          public void setPossibleDayOffsForDateArray(java.util.List<PossibleDayOffsForDate> value)

      Sets the value of the possibleDayOffsForDateArray property.

    - #### withPossibleDayOffsForDateArray

          public PossibleDayOffs withPossibleDayOffsForDateArray(java.util.Collection<PossibleDayOffsForDate> values)

    - #### withPossibleDayOffsForDateArray

          public PossibleDayOffs withPossibleDayOffsForDateArray(PossibleDayOffsForDate... values)

    - #### withPossibleDayOffsForDateArrayNSizeIs

          public PossibleDayOffs withPossibleDayOffsForDateArrayNSizeIs(int value)

    - #### withStartDate

          public PossibleDayOffs withStartDate(double value)

    - #### withEndDate

          public PossibleDayOffs withEndDate(double value)

    - #### withStdMonDO

          public PossibleDayOffs withStdMonDO(double value)

    - #### withStdTueDO

          public PossibleDayOffs withStdTueDO(double value)

    - #### withStdWedDO

          public PossibleDayOffs withStdWedDO(double value)

    - #### withStdThuDO

          public PossibleDayOffs withStdThuDO(double value)

    - #### withStdFriDO

          public PossibleDayOffs withStdFriDO(double value)

    - #### withStdSatDO

          public PossibleDayOffs withStdSatDO(double value)

    - #### withStdSunDO

          public PossibleDayOffs withStdSunDO(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.